%define ghc_ver %(ghc --numeric-version)
%define pkgname lifted-base

Name:          ghc-lifted-base
Version:       0.2.3.6
Release:       1mamba
Summary:       GHC library: lifted IO operations from the base library
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://hackage.haskell.org/package/%{pkgname}
Source:        http://hackage.haskell.org/package/lifted-base-%{version}/lifted-base-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: hscolour
BuildRequires: ghc-monad-control
BuildRequires: ghc-transformers-base
Requires:      ghc = %{ghc_ver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
lifted-base exports IO operations from the base library lifted to any instance of MonadBase or MonadBaseControl.

%prep
%setup -q -n lifted-base-%{version}

%build
runghc Setup.hs configure -v2 \
   --prefix=%{_prefix} \
   --libdir=%{_libdir} \
   --libexecdir=%{_libexecdir} \
   --docdir=%{_docdir}/%{name}-%{version}

runghc Setup.hs build
runghc Setup.hs haddock --executable --html-location=URL --hyperlink-source

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
runghc Setup.hs copy --destdir=%{buildroot}
runghc Setup.hs register \
   --gen-pkg-config="%{buildroot}%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf"

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
ghc-pkg register %{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}/%{pkgname}-%{version}.conf &>/dev/null || :

%preun
ghc-pkg unregister %{pkgname}-%{version} &>/dev/null || :

%files
%defattr(-,root,root)
%{_libdir}/ghc-%{ghc_ver}/%{pkgname}-%{version}
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/LICENSE
%{_docdir}/%{name}-%{version}/html

%changelog
* Mon Apr 13 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.2.3.6-1mamba
- package created by autospec
